{% extends "base.html.j2" %}
{% from "admin-list.html.j2" import admin_list %}
{% block title %}Takedown Requests{% endblock %}
{% block main %}
    <div class="govuk-grid-row">
        <div class="govuk-grid-column-two-thirds">
            <div class="govuk-panel govuk-panel--confirmation">
                <h1 class="govuk-panel__title">
                    Takedown request submitted
                </h1>
                <div class="govuk-panel__body">
                    Submitted at <br><strong>{{ now }}</strong>
                </div>
            </div>
            <p class="govuk-body">
                {{ takedown_success }} out of {{ total_snapshots }} snapshots have been taken down and the source URL
                has been added to the
                <strong class="govuk-tag govuk-tag--orange">Blocklist</strong> to prevent creation of new
                snapshots of this article in the future.
            </p>
            <p class="govuk-inset-text">
                You can print this page, or save it as a PDF, as evidence of the time and date
                that the request was submitted. Once you leave this page you will not be able to view it again.
            </p>
            {% if takedown_success != total_snapshots %}
                <h2 class="govuk-heading-m">Request not fully processed</h2>
                <p class="govuk-body">
                    Your request encountered one or more errors when deleting the published snapshots. You can attempt
                    to resubmit the request to reprocess it. If this does not work, it may be necessary to manually
                    delete the published articles and you should contact your service administrator for this.
                </p>
                <form action="/tkd1" method="post">
                    <input type="hidden" name="source-url" value="{{ source_url }}">
                    <input type="hidden" name="step" value="summary">
                    <button type="submit" class="govuk-button govuk-button--warning" data-module="govuk-button">
                        Re-submit
                    </button>
                </form>
            {% endif %}
            <h2 class="govuk-heading-l">Source</h2>
            <dl class="govuk-summary-list">
                <div class="govuk-summary-list__row">
                    <dt class="govuk-summary-list__key">
                        Source URL
                    </dt>
                    <dd class="govuk-summary-list__value govuk-!-width-two-thirds">
                        <a href="{{ source_url }}">{{ source_url }}</a>
                        <strong class="govuk-tag govuk-tag--orange">Blocklist</strong>
                    </dd>
                </div>
            </dl>
            {% for result in query_results %}
                <hr class="govuk-section-break">
                <h2 class="govuk-heading-l">Snapshot {{ result.id | hashid }}</h2>
                <dl class="govuk-summary-list">
                    <div class="govuk-summary-list__row">
                        <dt class="govuk-summary-list__key">
                            Published URL
                        </dt>
                        <dd class="govuk-summary-list__value govuk-!-width-two-thirds">
                            <a href="https://storage.googleapis.com/{{ storage_bucket }}/{{ result.id | hashid }}.html">
                                https://storage.googleapis.com/{{ storage_bucket }}/{{ result.id | hashid }}.html
                            </a>
                        </dd>
                    </div>
                    <div class="govuk-summary-list__row">
                        <dt class="govuk-summary-list__key">
                            Takedown requested
                        </dt>
                        <dd class="govuk-summary-list__value govuk-!-width-two-thirds">
                            {{ result.deletion_requested }}
                        </dd>
                    </div>
                    <div class="govuk-summary-list__row">
                        <dt class="govuk-summary-list__key">
                            Takedown confirmed
                        </dt>
                        <dd class="govuk-summary-list__value govuk-!-width-two-thirds">
                            {% if result.deletion_confirmed %}
                                {{ result.deletion_confirmed }}
                            {% else %}
                                <strong>Takedown not yet confirmed</strong>
                            {% endif %}
                        </dd>
                    </div>
                </dl>
            {% endfor %}
        </div>
        <div class="govuk-grid-column-one-third">
            <h1 class="govuk-heading-m">Admin Functions</h1>
            {{ admin_list("govuk-heading-s") }}
        </div>
    </div>
{% endblock %}